<li class="carPlate table-item cursorPointer" *ngIf="showCarPlate" (click)="showReportComponentDetails(inspectedCarDetails, 'carDetails')" data-toggle="modal" data-target="#sidebar-right" data-backdrop="static" data-keyboard="false">
  <div class="licensePlate" matTooltip="view car details" matTooltipPosition="right">
    <img src="../../assets/numberPlate.png" alt="" class="npImg">
    <div class="licenseNum">{{inspectedCarDetails.car.registrationNumber}}</div>
  </div>
</li>
<li class="eqiFound table-item" *ngIf="showEqiFound">
  <app-group-badge [assetDataGroups]="inspectedCarDetails.groups" [removeFixedGroupListHeight]="true"></app-group-badge>
  <img class="connectionImg" *ngIf="inspectedCarDetails.groups.length === 0 " src="../../assets/notconnectedIcon.png" alt="Not Found">
</li>
<li class="engineDig table-item" *ngIf="showEngineDig">
  <img class="connectionImg cursorPointer" [src]="getEngineInspectionStatus(inspectedCarDetails)" matTooltip="View engine diagnostic details" matTooltipPosition="below"  (click)="showReportComponentDetails(inspectedCarDetails, 'engineInspection')"
       data-toggle="modal" data-target="#individual-car-inspection-viewer" data-backdrop="static" data-keyboard="false">
</li>
<li class="UVI table-item"  *ngIf="showUvi">
  <img class="connectionImg cursorPointer" [src]="getUvisStatus(inspectedCarDetails)" matTooltip="View uvis details" matTooltipPosition="below" (click)="showReportComponentDetails(inspectedCarDetails, 'uvis')" data-toggle="modal" data-target="#individual-car-inspection-viewer" data-backdrop="static" data-keyboard="false">
</li>
<li class="avdds table-item" *ngIf="showAvdds">
  <img class="connectionImg cursorPointer" [src]="getAvddsStatus(inspectedCarDetails)" matTooltip="View avdds details" matTooltipPosition="below" (click)="showReportComponentDetails(inspectedCarDetails, 'avdds')" data-toggle="modal" data-target="#individual-car-inspection-viewer" data-backdrop="static" data-keyboard="false">
</li>
<li class="DriverInput table-item" *ngIf="showDriverInput">
  <img class="connectionImg cursorPointer" [src]="getDriverFeedbackStatus(inspectedCarDetails)" matTooltip="View driver feedback" matTooltipPosition="below" (click)="showReportComponentDetails(inspectedCarDetails, 'driverFeedBack')" data-toggle="modal" data-target="#individual-car-inspection-viewer" data-backdrop="static" data-keyboard="false">
  <!--<img class="connectionImg" *ngIf="(inspectedCarDetails.driverFeedBack != null) &&
  (!inspectedCarDetails.driverFeedBack.ac || inspectedCarDetails.driverFeedBack.ac === 'working') &&
  (!inspectedCarDetails.driverFeedBack.engine ||inspectedCarDetails.driverFeedBack.engine === 'working') &&
          (!inspectedCarDetails.driverFeedBack.braking ||inspectedCarDetails.driverFeedBack.braking === 'working') &&
          (!inspectedCarDetails.driverFeedBack.steering ||inspectedCarDetails.driverFeedBack.steering === 'working') &&
          (!inspectedCarDetails.driverFeedBack.suspension ||inspectedCarDetails.driverFeedBack.suspension === 'working') &&
          (!inspectedCarDetails.driverFeedBack.transmission ||inspectedCarDetails.driverFeedBack.transmission === 'working')" src="../../assets/connectedIcon.png" alt="Found">
  <img class="connectionImg" *ngIf="inspectedCarDetails.driverFeedBack == null" src="../../assets/notconnectedIcon.png" alt="Not Found">
  <img class="connectionImg" *ngIf="inspectedCarDetails.driverFeedBack != null && ((inspectedCarDetails.driverFeedBack.ac && inspectedCarDetails.driverFeedBack.ac === 'notWorking' ) ||
           (inspectedCarDetails.driverFeedBack.engine && inspectedCarDetails.driverFeedBack.engine === 'notWorking') ||
           (inspectedCarDetails.driverFeedBack.braking && inspectedCarDetails.driverFeedBack.braking === 'notWorking' ) ||
           (inspectedCarDetails.driverFeedBack.steering && inspectedCarDetails.driverFeedBack.steering === 'notWorking' ) ||
           (inspectedCarDetails.driverFeedBack.suspension && inspectedCarDetails.driverFeedBack.suspension === 'notWorking' ) ||
           (inspectedCarDetails.driverFeedBack.transmission && inspectedCarDetails.driverFeedBack.transmission === 'notWorking' ))" src="../../assets/checkConnectedIcon.png">-->

           <!--<img class="feedbackImg" *ngIf="(inspectedCarDetails.driverFeedBack.ac && inspectedCarDetails.driverFeedBack.ac === 'notWorking' )" src="../../assets/driver-feedback/ac_checked.png" title="AC problem">
           <img class="feedbackImg" *ngIf="(inspectedCarDetails.driverFeedBack.engine && inspectedCarDetails.driverFeedBack.engine === 'notWorking' )" src="../../assets/driver-feedback/engine_checked.png" title="Engine problem">
           <img class="feedbackImg" *ngIf="(inspectedCarDetails.driverFeedBack.braking && inspectedCarDetails.driverFeedBack.braking === 'notWorking' )" src="../../assets/driver-feedback/braking_checked.png" title="Braking problem">
           <img class="feedbackImg" *ngIf="(inspectedCarDetails.driverFeedBack.steering && inspectedCarDetails.driverFeedBack.steering === 'notWorking' )" src="../../assets/driver-feedback/steering_checked.png" title="Steering problem">
           <img class="feedbackImg" *ngIf="(inspectedCarDetails.driverFeedBack.suspension && inspectedCarDetails.driverFeedBack.suspension === 'notWorking' )" src="../../assets/driver-feedback/suspension_checked.png" title="Suspension problem">
           <img class="feedbackImg" *ngIf="(inspectedCarDetails.driverFeedBack.transmission && inspectedCarDetails.driverFeedBack.transmission === 'notWorking' )" src="../../assets/driver-feedback/transmission_checked.png" title="Transmission problem">-->
</li>
<li class="startTime table-item" style="color: green;font-weight: 500;" *ngIf="showStartTime">{{inspectedCarDetails.inspectionTime ? (inspectedCarDetails.inspectionTime  | date: 'medium') : '-'}}</li>
<li class="endTime table-item" style="color: red;font-weight: 500;" *ngIf="showEndTime">{{inspectedCarDetails.endTime ? (inspectedCarDetails.endTime  | date: 'medium') : '-'}}</li>
<li class="pdf table-item" *ngIf="showPdf"  (click)="pdfViewer(inspectedCarDetails)" data-toggle="modal" data-target="#pdf-viewer" data-backdrop="static" data-keyboard="false"  matTooltip="View pdf" matTooltipPosition="left"><i class="fa fa-file-pdf"></i></li>
